
TYPO3.Flow - Bug # 29244

Status: Resolved Priority: Should have
Author: Torsten no-lastname-given Category: Persistence
Created: 2011-08-25 Assigned To:
Updated: 2011-08-26 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: cloning models don't reset persistence identifier
Description

Adding cloned models to repository throws "SQLSTATE23000: Integrity constraint violation: 1062 Duplicate entry" Exception.

This solves the issue:

public function __clone() {
    $this->FLOW3_Persistence_Identifier = \TYPO3\FLOW3\Utility\Algorithms::generateUUID();
}

Associated revisions
Revision 295a024e - 2011-08-26 14:50 - Christian Müller

[BUGFIX] Cloning an entity should result in a new Uuid

With this change cloning an entity object results in the clone
having a new UUID as FLOW3_Persistence_Identifier so persisting
the clone should work without problems. Note that this isn't the
case for value objects.

Change-Id: Ic1856a192dd9a0f6f189934480b44320d0222b70
Resolves: #29244

History
#1 - 2011-08-25 15:47 - Karsten Dambekalns

That code should be part of the PersistenceMagicAspect and affect entities only.

#2 - 2011-08-25 16:45 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change Ic1856a192dd9a0f6f189934480b44320d0222b70 has been pushed to the review server.
It is available at http://review.typo3.org/4596
#3 - 2011-08-25 17:01 - Mr. Hudson

Patch set 2 of change Ic1856a192dd9a0f6f189934480b44320d0222b70 has been pushed to the review server.
It is available at http://review.typo3.org/4596

#4 - 2011-08-25 17:01 - Mr. Hudson

Patch set 3 of change Ic1856a192dd9a0f6f189934480b44320d0222b70 has been pushed to the review server.
It is available at http://review.typo3.org/4596

#5 - 2011-08-25 17:03 - Mr. Hudson

Patch set 4 of change Ic1856a192dd9a0f6f189934480b44320d0222b70 has been pushed to the review server.
It is available at http://review.typo3.org/4596

#6 - 2011-08-26 14:43 - Mr. Hudson

Patch set 5 of change Ic1856a192dd9a0f6f189934480b44320d0222b70 has been pushed to the review server.
It is available at http://review.typo3.org/4596

#7 - 2011-08-26 14:50 - Mr. Hudson

Patch set 6 of change Ic1856a192dd9a0f6f189934480b44320d0222b70 has been pushed to the review server.
It is available at http://review.typo3.org/4596

#8 - 2011-08-26 15:06 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:295a024efe2962a56dc2405905d63ec660e917f1.
